package net.lensfrex;

import java.io.BufferedReader;
import java.io.InputStreamReader;

public class Main {
    public static void main(String[] args) throws Exception {
        System.out.println("Thread Lesson report");

        if (args.length > 0) {
            execute(args[0]);
        } else {
            System.out.println("Witch to run? (1, 2)");
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));

            execute(reader.readLine());
        }
    }

    private static void execute(String option) {
        Main main = new Main();

        switch (option) {
            case "1":
                main.run1();
                break;
            case "2":
                main.run2();
                break;
            default:
                System.out.printf("Invalid input for '%s'%n", option);
        }
    }

    private void run1() {
        new RabbitAndTortoise().runTest();
    }

    private void run2() {
        new Ticket().runTest();
    }
}