package net.lensfrex.socket.common;

import java.nio.charset.StandardCharsets;

public class Constant {
    public static final int LENGTH_BYTE_SIZE = 4;
    public static final byte[] MAGIC_HEADER = "AETH".getBytes(StandardCharsets.UTF_8);

    public static final int OPCODE_LENGTH = 4;
    public static final byte[] OPCODE_REQUEST_MESSAGE = "RMSG".getBytes(StandardCharsets.UTF_8);
    public static final byte[] OPCODE_SEND_MESSAGE = "SMSG".getBytes(StandardCharsets.UTF_8);
    public static final byte[] OPCODE_LOGIN = "LOGI".getBytes(StandardCharsets.UTF_8);
    public static final byte[] OPCODE_LOGOUT = "LOGO".getBytes(StandardCharsets.UTF_8);

    public static final String MESSAGE_OK = "OPERATION-OK";
}
