package net.lensfrex;

public class AbstractExtends {
    protected void run() {
        Father father = new Child();

        father.method1();
        father.method2();

        // 匿名类的方式实现
        Father father1 = new Father() {
            @Override
            public void method1() {
                System.out.println("Do some thing in method1");
            }

            @Override
            public void method2() {
                System.out.println("Do some thing in method2");
            }
        };

        father1.method1();
        father1.method2();
    }
}

// ------------------------------------------
abstract class Father {
    public abstract void method1();

    public abstract void method2();
}

// -------------------------------------------
class Child extends Father {
    @Override
    public void method1() {
        System.out.println("Do some thing in method1");
    }

    @Override
    public void method2() {
        System.out.println("Do some thing in method2");
    }
}