package net.lensfrex;

import java.io.BufferedReader;
import java.io.InputStreamReader;

public class Main {
    public static void main(String[] args) throws Exception {
        if (args.length > 0) {
            execute(args[0]);
        } else {
            System.out.println("Witch to run? (1, 2, 3)");
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));

            execute(reader.readLine());
        }
    }

    private static void execute(String option) {
        Main main = new Main();

        switch (option) {
            case "1":
                main.run1();
                break;
            case "2":
                main.run2();
                break;
            case "3":
                main.run3();
                break;
            default:
                System.out.printf("Invalid input for '%s'%n", option);
        }
    }

    private void run1() {
        Rectangle rectangle = new Rectangle(3, 4);

        System.out.println("rectangleHeight: " + rectangle.getHeight());
        System.out.println("rectangleWidth: " + rectangle.getWidth());
        System.out.println("rectangleSize: " + rectangle.getSize());
    }

    private void run2() {
        new Interface().run();
    }

    private void run3() {
        new AbstractExtends().run();
    }
}