package net.lensfrex;

import net.lensfrex.socket.client.Client;
import net.lensfrex.socket.server.Server;
import net.lensfrex.socket.common.Util;

import java.io.BufferedReader;
import java.io.InputStreamReader;

public class Main {
    public static void main(String[] args) throws Exception {
        System.out.println("Thread Lesson report");

        if (args.length > 0) {
            execute(args[0]);
        } else {
            System.out.println("Witch to run? (1server, 1client, 2)");
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));

            execute(reader.readLine());
        }
    }

    private static void execute(String option) {
        Main main = new Main();

        switch (option) {
            case "1server":
                main.run1Server();
                break;
            case "1client":
                main.run1Client();
                break;
            case "2":
                main.run2();
                break;
            default:
                System.out.printf("Invalid input for '%s'%n", option);
        }
    }

    private void run1Server() {
        new Server().start();
    }

    private void run1Client() {
        new Client().start();
    }

    private void run2() {
        new URLConnectionResource().startTest();
    }
}