package net.lensfrex.socket.common;

import java.util.Objects;

public class User {
    private final String id;

    public User(String id) {
        this.id = id;
    }

    public User(byte[] id) {
        this.id = new String(id);
    }

    public String getId() {
        return id;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        User user = (User) o;
        return id.equals(user.id);
    }

    public boolean equals(String id) {
        return this.id.equals(id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
